Get a Cloud Cost Management tag description

GET https://api.ap1.datadoghq.com/api/v2/cost/tag_descriptions/{tag_key}https://api.ap2.datadoghq.com/api/v2/cost/tag_descriptions/{tag_key}https://api.datadoghq.eu/api/v2/cost/tag_descriptions/{tag_key}https://api.ddog-gov.com/api/v2/cost/tag_descriptions/{tag_key}https://api.us2.ddog-gov.com/api/v2/cost/tag_descriptions/{tag_key}https://api.uk1.datadoghq.com/api/v2/cost/tag_descriptions/{tag_key}https://api.datadoghq.com/api/v2/cost/tag_descriptions/{tag_key}https://api.us3.datadoghq.com/api/v2/cost/tag_descriptions/{tag_key}https://api.us5.datadoghq.com/api/v2/cost/tag_descriptions/{tag_key}

Información general

Get the Cloud Cost Management description for a single tag key. Use filter[cloud] to scope the lookup to a specific cloud provider; when omitted, the response resolves the description in fallback order (cloud-specific organization override, then cloudless organization default, then Datadog’s global default). This endpoint requires the cloud_cost_management_read permission.

OAuth apps require the cloud_cost_management_read authorization scope to access this endpoint.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

tag_key [required]

string

The tag key whose description is being fetched.

Cadenas de consulta

Nombre

Tipo

Descripción

filter[cloud]

string

Cloud provider to scope the lookup to (for example, aws). Omit to use the resolved fallback.

Respuesta

OK

Single Cloud Cost Management tag key description returned by the get-by-key endpoint.

Expand All

Campo

Tipo

Descripción

data [required]

object

A Cloud Cost Management tag key description, either cross-cloud or scoped to a single cloud provider.

attributes [required]

object

Human-readable description and metadata attached to a Cloud Cost Management tag key, optionally scoped to a single cloud provider.

cloud [required]

string

Cloud provider this description applies to (for example, aws). Empty when the description is the cross-cloud default for the tag key.

created_at [required]

string

Timestamp when the description was created, in RFC 3339 format.

description [required]

string

The human-readable description for the tag key.

source [required]

enum

Origin of the description. human indicates the description was written by a user, ai_generated was produced by AI, and datadog is a default supplied by Datadog. Allowed enum values: human,ai_generated,datadog

tag_key [required]

string

The tag key this description applies to.

updated_at [required]

string

Timestamp when the description was last updated, in RFC 3339 format.

id [required]

string

Stable identifier of the tag description. Equals the tag key when the description is the cross-cloud default; encodes both the cloud and the tag key when the description is cloud-specific.

type [required]

enum

Type of the Cloud Cost Management tag description resource. Allowed enum values: cost_tag_description

default: cost_tag_description

{
  "data": {
    "attributes": {
      "cloud": "aws",
      "created_at": "2026-01-01T12:00:00Z",
      "description": "AWS account that owns this cost.",
      "source": "human",
      "tag_key": "account_id",
      "updated_at": "2026-01-01T12:00:00Z"
    },
    "id": "account_id",
    "type": "cost_tag_description"
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Path parameters
export tag_key="CHANGE_ME"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cost/tag_descriptions/${tag_key}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Get a Cloud Cost Management tag description returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.cloud_cost_management_api import CloudCostManagementApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = CloudCostManagementApi(api_client)
    response = api_instance.get_cost_tag_description_by_key(
        tag_key="tag_key",
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Get a Cloud Cost Management tag description returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::CloudCostManagementAPI.new
p api_instance.get_cost_tag_description_by_key("tag_key")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Get a Cloud Cost Management tag description returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCloudCostManagementApi(apiClient)
	resp, r, err := api.GetCostTagDescriptionByKey(ctx, "tag_key", *datadogV2.NewGetCostTagDescriptionByKeyOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CloudCostManagementApi.GetCostTagDescriptionByKey`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CloudCostManagementApi.GetCostTagDescriptionByKey`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Get a Cloud Cost Management tag description returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CloudCostManagementApi;
import com.datadog.api.client.v2.model.CostTagDescriptionResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    CloudCostManagementApi apiInstance = new CloudCostManagementApi(defaultClient);

    try {
      CostTagDescriptionResponse result = apiInstance.getCostTagDescriptionByKey("tag_key");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling CloudCostManagementApi#getCostTagDescriptionByKey");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Get a Cloud Cost Management tag description returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_cloud_cost_management::CloudCostManagementAPI;
use datadog_api_client::datadogV2::api_cloud_cost_management::GetCostTagDescriptionByKeyOptionalParams;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = CloudCostManagementAPI::with_config(configuration);
    let resp = api
        .get_cost_tag_description_by_key(
            "tag_key".to_string(),
            GetCostTagDescriptionByKeyOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Get a Cloud Cost Management tag description returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.CloudCostManagementApi(configuration);

const params: v2.CloudCostManagementApiGetCostTagDescriptionByKeyRequest = {
  tagKey: "tag_key",
};

apiInstance
  .getCostTagDescriptionByKey(params)
  .then((data: v2.CostTagDescriptionResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"